> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source Toc

> Get the table of contents tree for a knowledge source.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/sources/{source_id}/toc
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/sources/{source_id}/toc:
    get:
      tags:
        - Sources
      summary: Get Source Toc
      description: Get the table of contents tree for a knowledge source.
      operationId: core_api_v1_controllers_sources_get_source_toc
      parameters:
        - in: path
          name: source_id
          schema:
            title: Source Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TocOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    TocOut:
      description: Response schema for the table of contents endpoint.
      properties:
        object:
          default: toc
          title: Object
          type: string
        data:
          items:
            additionalProperties: true
            type: object
          title: Data
          type: array
      required:
        - data
      title: TocOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````